Retrieve a bank card
GET
/api/internal/v1/bank_cards/{id}
const url = 'https://core.example.com/api/internal/v1/bank_cards/example?merchant_private_key=example';const options = {method: 'GET', headers: {'app-token': '<app-token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://core.example.com/api/internal/v1/bank_cards/example?merchant_private_key=example' \ --header 'app-token: <app-token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string
Internal card ID or {outer_id}_outer_id
Query Parameters
Section titled “Query Parameters”merchant_private_key
required
string
bank_account_id
integer
Responses
Section titled “ Responses ”Card; the response shape depends on whether bank_account_id is present
Media typeapplication/json
One of:
object
id
integer
outer_id
string
profile_id
integer
bank_account_id
integer
currency
string
card_type
string
status
string
mask
string
holder_first_name
string
holder_last_name
string
available_balance_with_currency
string
holder
string
key
additional properties
any
object
result
object
id
integer
outer_id
string
profile_id
integer
bank_account_id
integer
currency
string
card_type
string
status
string
mask
string
holder_first_name
string
holder_last_name
string
available_balance_with_currency
string
holder
string
key
additional properties
any
Examplegenerated
{ "id": 1, "outer_id": "example", "profile_id": 1, "bank_account_id": 1, "currency": "example", "card_type": "example", "status": "example", "mask": "example", "holder_first_name": "example", "holder_last_name": "example", "available_balance_with_currency": "example", "holder": "example"}Authorization, validation, or business-rule error
Media typeapplication/json
object
success
required
boolean
status
required
integer
errors
required
One of:
Array<object>
object
code
string
kind
string
expiration
string
session
string
key
additional properties
any
object
key
additional properties
any
string
key
additional properties
any
Example
{ "success": false, "status": 403}Object not found
Media typeapplication/json
object
success
required
boolean
status
required
integer
errors
required
One of:
Array<object>
object
code
string
kind
string
expiration
string
session
string
key
additional properties
any
object
key
additional properties
any
string
key
additional properties
any
Example
{ "success": false, "status": 403}